Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface SimpleType

- All Superinterfaces:
    `Annotated`, `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Subinterfaces:
    `LocalSimpleType`, `TopLevelSimpleType`
  All Known Implementing Classes:
    `LocalSimpleTypeImpl`, `SimpleTypeImpl`, `TopLevelSimpleTypeImpl`

      public interface SimpleType
      extends Annotated

  An XML simpleType(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AbstractDocumentFactory<SimpleType>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ListDocument.List` | `addNewList()` | Appends and returns a new empty "list" element
    `RestrictionDocument.Restriction` | `addNewRestriction()` | Appends and returns a new empty "restriction" element
    `UnionDocument.Union` | `addNewUnion()` | Appends and returns a new empty "union" element
    `Object` | `getFinal()` | Gets the "final" attribute
    `ListDocument.List` | `getList()` | Gets the "list" element
    `String` | `getName()` | Gets the "name" attribute
    `RestrictionDocument.Restriction` | `getRestriction()` | Gets the "restriction" element
    `UnionDocument.Union` | `getUnion()` | Gets the "union" element
    `boolean` | `isSetFinal()` | True if has "final" attribute
    `boolean` | `isSetList()` | True if has "list" element
    `boolean` | `isSetName()` | True if has "name" attribute
    `boolean` | `isSetRestriction()` | True if has "restriction" element
    `boolean` | `isSetUnion()` | True if has "union" element
    `void` | `setFinal​(Object xfinal)` | Sets the "final" attribute
    `void` | `setList​(ListDocument.List list)` | Sets the "list" element
    `void` | `setName​(String name)` | Sets the "name" attribute
    `void` | `setRestriction​(RestrictionDocument.Restriction restriction)` | Sets the "restriction" element
    `void` | `setUnion​(UnionDocument.Union union)` | Sets the "union" element
    `void` | `unsetFinal()` | Unsets the "final" attribute
    `void` | `unsetList()` | Unsets the "list" element
    `void` | `unsetName()` | Unsets the "name" attribute
    `void` | `unsetRestriction()` | Unsets the "restriction" element
    `void` | `unsetUnion()` | Unsets the "union" element
    `SimpleDerivationSet` | `xgetFinal()` | Gets (as xml) the "final" attribute
    `XmlNCName` | `xgetName()` | Gets (as xml) the "name" attribute
    `void` | `xsetFinal​(SimpleDerivationSet xfinal)` | Sets (as xml) the "final" attribute
    `void` | `xsetName​(XmlNCName name)` | Sets (as xml) the "name" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final AbstractDocumentFactory<SimpleType> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getRestriction

          RestrictionDocument.Restriction getRestriction()

      Gets the "restriction" element

    - #### isSetRestriction

          boolean isSetRestriction()

      True if has "restriction" element

    - #### setRestriction

          void setRestriction​(RestrictionDocument.Restriction restriction)

      Sets the "restriction" element

    - #### addNewRestriction

          RestrictionDocument.Restriction addNewRestriction()

      Appends and returns a new empty "restriction" element

    - #### unsetRestriction

          void unsetRestriction()

      Unsets the "restriction" element

    - #### getList

          ListDocument.List getList()

      Gets the "list" element

    - #### isSetList

          boolean isSetList()

      True if has "list" element

    - #### setList

          void setList​(ListDocument.List list)

      Sets the "list" element

    - #### addNewList

          ListDocument.List addNewList()

      Appends and returns a new empty "list" element

    - #### unsetList

          void unsetList()

      Unsets the "list" element

    - #### getUnion

          UnionDocument.Union getUnion()

      Gets the "union" element

    - #### isSetUnion

          boolean isSetUnion()

      True if has "union" element

    - #### setUnion

          void setUnion​(UnionDocument.Union union)

      Sets the "union" element

    - #### addNewUnion

          UnionDocument.Union addNewUnion()

      Appends and returns a new empty "union" element

    - #### unsetUnion

          void unsetUnion()

      Unsets the "union" element

    - #### getFinal

          Object getFinal()

      Gets the "final" attribute

    - #### xgetFinal

          SimpleDerivationSet xgetFinal()

      Gets (as xml) the "final" attribute

    - #### isSetFinal

          boolean isSetFinal()

      True if has "final" attribute

    - #### setFinal

          void setFinal​(Object xfinal)

      Sets the "final" attribute

    - #### xsetFinal

          void xsetFinal​(SimpleDerivationSet xfinal)

      Sets (as xml) the "final" attribute

    - #### unsetFinal

          void unsetFinal()

      Unsets the "final" attribute

    - #### getName

          String getName()

      Gets the "name" attribute

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute

    - #### setName

          void setName​(String name)

      Sets the "name" attribute

    - #### xsetName

          void xsetName​(XmlNCName name)

      Sets (as xml) the "name" attribute

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute